<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolSetError" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolSetError</refname>

    <refpurpose>notifies when a user input is wrong</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>r = sisotoolSetError(h,r [,msg]) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>h</term>

        <listitem>
          <para>The handle on the uicontrol entity where the user entered a
          value.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>r</term>

        <listitem>
          <para>A boolean, true if an error has to be notified, false if the
          entered value is valid.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>msg</term>

        <listitem>
          <para>A character string, the error message when
          <literal>r=%t</literal>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Notifies when a user GUI input is wrong. The notification is made by
    an error message box and by highlighting the user input (corresponding to
    the handle <literal>h</literal>) in red.</para>

    <para>This function must also be called (with<literal> r=%f)</literal>
    when the input is correct to de-emphasize the user input.</para>
  </refsection>
</refentry>
